//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください

 /*JavaScriptを参考にさせていただいたサイト
 * http://www.tagindex.com/javascript/window/scroll.html
 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using System.Windows.Forms;
using System.Drawing;
using System.Threading;
using System.Net;
using System.IO;

namespace AgeOnUpdate
{
    static partial class Const
    {
        public static Mutex mutex = new Mutex(false, "Const");
        public static string UPDATE_CHECK_URL = "http://maedanaoki.jp/software/ageon/update.txt";
        public static string CurrentDir;
        public static string DataDir;

        public static void GetMainDir()
        {
            string dir = System.Reflection.Assembly.GetEntryAssembly().Location;
            string process = Process.GetCurrentProcess().ProcessName.Split('.')[0];
            int num = dir.LastIndexOf(process);//,0);
            CurrentDir = dir.Remove(num - 1);//, dir.Length);

            DataDir = CurrentDir;
        }
    }
}
